Package com.collibra.dgc.core.api.dto.meta.path

# Class PathEdgeRequest

Object
PathEdgeRequest

All Implemented Interfaces:
  `Serializable`

public class PathEdgeRequest extends Object implements Serializable
Specifies the details for a Path Graph edge.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `PathEdgeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PathEdgeRequest()`
  `PathEdgeRequest(String typePublicId, String nodeName, RelationTypeDirection direction, int repetitionDepth)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PathEdgeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `RelationTypeDirection`
  `getDirection()`
  `String`
  `getNodeName()`
  `int`
  `getRepetitionDepth()`
  `String`
  `getTypePublicId()`
  `int`
  `hashCode()`
  `void`
  `setDirection(RelationTypeDirection direction)`
  `void`
  `setNodeName(String nodeName)`
  `void`
  `setRepetitionDepth(int repetitionDepth)`
  `void`
  `setTypePublicId(String typePublicId)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PathEdgeRequest

    public PathEdgeRequest()

  - ### PathEdgeRequest

    public PathEdgeRequest(String typePublicId, String nodeName, RelationTypeDirection direction, int repetitionDepth)

- ## Method Details

  - ### builder

    public static PathEdgeRequest.Builder builder()

  - ### getTypePublicId

    public String getTypePublicId()

  - ### getNodeName

    public String getNodeName()

  - ### getDirection

    public RelationTypeDirection getDirection()

  - ### getRepetitionDepth

    public int getRepetitionDepth()

  - ### setTypePublicId

    public void setTypePublicId(String typePublicId)

  - ### setNodeName

    public void setNodeName(String nodeName)

  - ### setDirection

    public void setDirection(RelationTypeDirection direction)

  - ### setRepetitionDepth

    public void setRepetitionDepth(int repetitionDepth)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`